Skip to main content

List group channel profiles

Retrieve profile information for specified group channels.

Request

POST: https://Base URL/v4/group-channel/profile/list

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdsArrayYesArray of group channel IDs. Maximum: 50.

Request example

HTTP
POST /v4/group-channel/profile/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelIds": [
"groupId1",
"groupId2"
]
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success. See Status codes.
resultObjectResponse data.
result.profilesArrayList of group profile objects.
result.profiles[i].channelIdStringGroup channel ID.
result.profiles[i].nameStringGroup name.
result.profiles[i].groupProfileJSONGroup basic information in JSON format.
result.profiles[i].groupExtProfileJSONGroup extended information in JSON format.
result.profiles[i].permissionsJSONGroup permission settings in JSON format.
result.profiles[i].ownerStringUser ID of the group owner.
result.profiles[i].createdAtNumberTimestamp when the group was created.
result.profiles[i].memberCountNumberNumber of group members.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"profiles": [
{
"channelId": "groupId1",
"createdAt": 1717717737377,
"owner": "userId1",
"name": "gName1",
"groupProfile": {
"introduction":"introductionTest",
"portrait_url":"XXXX"
}",
"memberCount": 10
}
]
}
}